---
title: Retrieves deployment package upload location
slug: dxp/api/retrieves-deployment-package-upload-location
docTags: 
createdAt: 2026-06-23T08:29:20.621Z
---

{
  "id": "AR-psMC7rAQl2O7mQjJhz",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://paasportal.episerver.net/api/v1.0/projects/{projectId}/packages/location",
    "servers": [
      {
        "url": "https://paasportal.episerver.net/api/v1.0/projects/{projectId}/packages/location"
      }
    ],
    "name": "Retrieves deployment package upload location",
    "description": "<p>Returned path is a write-only Azure Blob Storage SAS URI. Deployment package(s) should be uploaded here before starting deployment.\r\nThe SAS URI will be usable for 24 hours, then a new location must be retrieved.</p>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [
        {
          "kind": "required",
          "name": "projectId",
          "type": "string<uuid>",
          "description": "Project ID",
          "format": "uuid"
        }
      ],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "OK",
        "jsonExample": "",
        "isExpanded": true,
        "subExamples": [
          {
            "label": "GENERATED",
            "code": "// OK\n{\n  \"errors\": [\n    \"\"\n  ],\n  \"result\": {\n    \"location\": \"\"\n  },\n  \"success\": false\n}"
          },
          {
            "label": "response",
            "code": "{\n  \"success\": true,\n  \"errors\": [],\n  \"result\": {\n    \"location\": \"https://episite.blob.core.windows.net/packages\"\n  }\n}"
          }
        ],
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "UploadPackageLocationResponse",
            "schema": [
              {
                "name": "errors",
                "kind": "optional",
                "type": "array",
                "description": "",
                "example": "",
                "itemType": "string",
                "customType": "string[]",
                "itemExample": "",
                "itemDefault": ""
              },
              {
                "name": "result",
                "kind": "optional",
                "type": "object",
                "description": "",
                "modelRef": "#/components/schemas/PackageLocationResultModel",
                "customType": "PackageLocationResultModel",
                "schema": [
                  {
                    "name": "location",
                    "kind": "optional",
                    "type": "string",
                    "description": ""
                  }
                ]
              },
              {
                "name": "success",
                "kind": "optional",
                "type": "boolean",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/UploadPackageLocationResponse",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "500",
        "description": "InternalServerError",
        "jsonExample": "",
        "isExpanded": true,
        "subExamples": [
          {
            "label": "GENERATED",
            "code": "// InternalServerError\n{}"
          },
          {
            "label": "response",
            "code": "{\n  \"success\": false,\n  \"errors\": [\n    \"An error occurred\"\n  ],\n  \"result\": null\n}"
          }
        ],
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ApiErrorResponseExample",
            "schema": [],
            "modelRef": "#/components/schemas/ApiErrorResponseExample",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "bKAIAM7WhXB4ieAcYZqK0",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url https://paasportal.episerver.net/api/v1.0/projects/{projectId}/packages/location \\\n     --header 'accept: application/json'"
        },
        {
          "id": "K2EcXranC_dQ27GJQvNYp",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://paasportal.episerver.net/api/v1.0/projects/{projectId}/packages/location\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "NbYTxptH-zvOKekXW0ki3",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://paasportal.episerver.net/api/v1.0/projects/{projectId}/packages/location\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "mfXtXxsiy5EsA93PSxA6R",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://paasportal.episerver.net/api/v1.0/projects/{projectId}/packages/location\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "bKAIAM7WhXB4ieAcYZqK0"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "// OK\n{\n  \"errors\": [\n    \"\"\n  ],\n  \"result\": {\n    \"location\": \"\"\n  },\n  \"success\": false\n}",
          "subExamples": [
            {
              "label": "GENERATED",
              "code": "// OK\n{\n  \"errors\": [\n    \"\"\n  ],\n  \"result\": {\n    \"location\": \"\"\n  },\n  \"success\": false\n}"
            },
            {
              "label": "response",
              "code": "{\n  \"success\": true,\n  \"errors\": [],\n  \"result\": {\n    \"location\": \"https://episite.blob.core.windows.net/packages\"\n  }\n}"
            }
          ]
        },
        {
          "id": "response-1-500",
          "language": "500",
          "code": "// InternalServerError\n{}",
          "subExamples": [
            {
              "label": "GENERATED",
              "code": "// InternalServerError\n{}"
            },
            {
              "label": "response",
              "code": "{\n  \"success\": false,\n  \"errors\": [\n    \"An error occurred\"\n  ],\n  \"result\": null\n}"
            }
          ]
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}